### Method

# Ide Runner set_build_target

#### Declaration

    void
    ide_runner_set_build_target (
      IdeRunner* self,
      IdeBuildTarget* build_target
    )

#### Description

Sets the build target associated with this runner.

Available since: | 3.32

Sets property | `Ide.Runner:build-target`

#### Parameters

`build_target` | `IdeBuildTarget`
| The build target, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.